#ifndef PARTAGEABLE_H
#define PARTAGEABLE_H

class Partageable
{
   unsigned long cptref_;
public:
   Partageable()
      : cptref_(1UL)
   {
   }
   void AddRef()
      { ++cptref_; }
   void Release()
      { if (--cptref_ == 0) delete this; }
protected:
   virtual ~Partageable() throw()
      { }
};

#endif
