#ifndef ETAT_H
#define ETAT_H

#include "Partageable.h"
#include "Clonable.h"

struct Etat
   : public Partageable, public Clonable
{
   virtual void entrer() = 0;
   virtual void dedans() = 0;
   virtual void sortir() = 0;
protected:
   virtual ~Etat() throw()
      { }
};

template < >
   struct traits_dup<Etat>
   {
      typedef DupClonage categorie;
   };

#endif
