#include "Etat.h"
#include "Transition.h"
#include "Regle.h"
#include "UtilitairesGeneriques.h"
#include <algorithm>
#include <vector>
using std::begin;
using std::end;
using std::find_if;
using std::for_each;

bool Transition::changer_etat() const
{
   return find_if(begin(regles_), end(regles_), [&](const Regle *r) {
      return (*r)(avant_);
   }) != end(regles_);
}

Transition::~Transition() throw()
   { for_each(begin(regles_), end(regles_), Meurs()); }

PtrPartage<Transition> Transition::prochain() const
{
   auto itt = find_if(begin(regles_), end(regles_), [&](const Regle *r) {
      return (*r)(avant_);
   });
   return itt == end(regles_)? PtrPartage<Transition>() : (*itt)->prochain();
}
